Bug 52788 - D-Bus Connection API: report transport failures to server and allow it to resend
Summary: D-Bus Connection API: report transport failures to server and allow it to resend
Status: RESOLVED MOVED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: unspecified
Hardware: All All
: low enhancement
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-13 02:17 UTC by SyncEvolution Community
Modified: 2018-10-13 12:43 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Patrick Ohly 2012-07-29 18:36:00 UTC


---- Reported by jingke.zhang@intel.com 2010-04-13 02:17:20 +0000 ----

This is from http://bugzilla.moblin.org/show_bug.cgi?id=6370

When using the Connection API with SyncEvolution as client and a transport stub
which bridges to some other, unreliable transport, then resending a Reply may
become necessary.

The stub should be able to tell the server that there is not going to be a next
message to process instead of being forced to disconnect. Then the server can
decide to abort or resend the reply.

Could be tested with test/dbus-server-http.py.

------- Comment #1 From pohly 2009-10-22 05:12:54 PST (-) [reply] -------

The API works fine without this, lowering priority.



---- Additional Comments From patrick.ohly@intel.com 2010-04-27 23:01:40 +0000 ----

ceferron <chris.e.ferron@linux.intel.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ASSIGNED                    |RESOLVED
                 CC|                            |chris.e.ferron@linux.intel.
                   |                            |com
         Resolution|                            |FIXED\

Huh? Chris, did you mean to close some other issue?



---- Additional Comments From chris.e.ferron@linux.intel.com 2010-05-06 08:50:30 +0000 ----

Sorry, looks like a type of an issue i wanted to close.



--- Bug imported by patrick.ohly@gmx.de 2012-07-29 20:36 UTC  ---

This bug was previously known as _bug_ 694 at https://bugs.meego.com/show_bug.cgi?id=694
Comment 1 GitLab Migration User 2018-10-13 12:43:02 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/SyncEvolution/syncevolution/issues/96.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.